Next: LTIME, Previous: LSHIFT, Up: Intrinsic Procedures [Contents][Index]

### 9.174 `LSTAT` — Get file status

Description:

  `LSTAT` is identical to STAT, except that if path is a symbolic link, then the link itself is statted, not the file that it refers to.

  The elements in `VALUES` are the same as described by STAT.

  This intrinsic is provided in both subroutine and function forms; however, only one form can be used in any given program unit.

Standard:

  GNU extension

Class:

  Subroutine, function

Syntax:

  `CALL LSTAT(NAME, VALUES [, STATUS])`
  `STATUS = LSTAT(NAME, VALUES)`

Arguments:

  NAME | The type shall be `CHARACTER` of the default kind, a valid path within the file system.
  VALUES | The type shall be `INTEGER(4), DIMENSION(13)`.
  STATUS | (Optional) status flag of type `INTEGER(4)`. Returns 0 on success and a system specific error code otherwise.

Example:

  See STAT for an example.

See also:

  To stat an open file: FSTAT, to stat a file: STAT